Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class TermEnum

    java.lang.Object
      org.apache.lucene.index.TermEnum

All Implemented Interfaces:
  Closeable

Direct Known Subclasses:
  FilteredTermEnum, FilterIndexReader.FilterTermEnum, InstantiatedTermEnum

    public abstract class TermEnum

extends Object
implements Closeable

Abstract class for enumerating terms.

Term enumerations are always ordered by Term.compareTo(). Each term in the enumeration is greater than all that precede it.

Constructor Summary
`TermEnum()`

Method Summary
`abstract void` | `close()` Closes the enumeration to further activity, freeing resources.
`abstract int` | `docFreq()` Returns the docFreq of the current Term in the enumeration.
`abstract boolean` | `next()` Increments the enumeration to the next element.
`abstract Term` | `term()` Returns the current Term in the enumeration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TermEnum

    public TermEnum()

Method Detail

### next

    public abstract boolean next()
                          throws IOException

  Increments the enumeration to the next element. True if one exists.

  Throws:
    `IOException`

### term

    public abstract Term term()

  Returns the current Term in the enumeration.

### docFreq

    public abstract int docFreq()

  Returns the docFreq of the current Term in the enumeration.

### close

    public abstract void close()
                        throws IOException

  Closes the enumeration to further activity, freeing resources.

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD